--- oRTP/include/ortp/ortp.h	2010-07-19 11:50:16.000000000 +0200
+++ oRTP/include/ortp/ortp.h	2010-07-20 12:55:20.000000000 +0200
@@ -103,12 +103,13 @@
 #define ortp_log_level_enabled(level)	(__ortp_log_mask & (level))
 
 #if !defined(WIN32) && !defined(_WIN32_WCE)
-#define ortp_logv(level,fmt,args) \
-{\
-	if (ortp_logv_out!=NULL && ortp_log_level_enabled(level)) \
-		ortp_logv_out(level,fmt,args);\
-	if ((level)==ORTP_FATAL) abort();\
-}while(0)
+#define ortp_logv(level,fmt,args)                                 \
+  do {                                                            \
+    if (ortp_logv_out!=NULL && ortp_log_level_enabled(level))     \
+      ortp_logv_out(level,fmt,args);                              \
+    if ((level)==ORTP_FATAL)                                      \
+      abort();                                                    \
+  } while(0)
 #else
 void ortp_logv(int level, const char *fmt, va_list args);
 #endif
